import { ParaEncoder } from "../src/paraEncode";


test('ParaEncoder Normal Init', () => {
  let dut = new ParaEncoder(1, "h264");
  expect(dut.numOfTR).toBe(1);
  expect(dut.codec).toBe("h264");
});

test("ParaEncoder Invalid Init", () => {
  try {
    new ParaEncoder(1, 1);
  } catch (err) {
    expect(err.message)
      .toBe("typeof(codec) == 'number' failed");
  }
})
